Skip navigation links
Unsupported Browser Detected – For best results, please update your browser.

Aviation Alerts and Advisories

Service Advisory 1540: GTN 7XX Units with Main Software Version 5.11 or 5.13 and FliteCharts® Updates

AFFECTED PRODUCTS:
 GTN 725 and GTN 750 units using Main Software Version 5.11 or 5.13.

ISSUE:
 GTN Main Software Versions 5.11 and 5.13 changed the way that FliteCharts data are handled by GTN 7XX units.  In some cases a new FliteCharts data update may become corrupted, causing the GTN datacard to become unusable.  (GTN 6XX units do not use FliteCharts and are not affected.)

PILOT ACTION:
 Owners and operators of GTN 7XX units with v5.11 or v5.13 software should not update the FliteCharts database without first performing the steps outlined in this Service Advisory 1540.

Download 1540A